RDKit::SmilesParserParams Struct Reference

`#include <SmilesParse.h>`

## Public Member Functions

| SmilesParserParams ()

## Public Attributes

int | debugParse
bool | sanitize
std::map< std::string, std::string > * | replacements
bool | allowCXSMILES
bool | parseName
bool | removeHs

## Detailed Description

Definition at line 22 of file SmilesParse.h.

## Constructor & Destructor Documentation

## SmilesParserParams()

RDKit::SmilesParserParams::SmilesParserParams | ( |  | ) |

inline

Definition at line 29 of file SmilesParse.h.

## Member Data Documentation

## allowCXSMILES

bool RDKit::SmilesParserParams::allowCXSMILES

Definition at line 26 of file SmilesParse.h.

## debugParse

int RDKit::SmilesParserParams::debugParse

Definition at line 23 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

## parseName

bool RDKit::SmilesParserParams::parseName

Definition at line 27 of file SmilesParse.h.

## removeHs

bool RDKit::SmilesParserParams::removeHs

Definition at line 28 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

## replacements

std::map<std::string, std::string>* RDKit::SmilesParserParams::replacements

Definition at line 25 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

## sanitize

bool RDKit::SmilesParserParams::sanitize

Definition at line 24 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

The documentation for this struct was generated from the following file:

- SmilesParse.h